% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/f_core_plot.R
\name{getAvailablePlotTypes}
\alias{getAvailablePlotTypes}
\title{Get Available Plot Types}
\usage{
getAvailablePlotTypes(obj, output = c("numeric", "caption", "numcap",
  "capnum"), numberInCaptionEnabled = FALSE)
}
\arguments{
\item{obj}{The object for which the plot types shall be identified, e.g. produced by
\code{\link{getDesignGroupSequential}} or \code{\link{getSampleSizeMeans}}.}

\item{output}{The output type. Can be one of \code{c("numeric", "caption", "numcap", "capnum")}.}

\item{numberInCaptionEnabled}{If \code{TRUE}, the number will be added to the 
caption, default is \code{FALSE}.}
}
\description{
Function to identify the available plot types of an object.
}
\details{
\code{output}:
\enumerate{
  \item \code{numeric}: numeric output
  \item \code{caption}: caption as character output
  \item \code{numcap}:  list with number and caption
  \item \code{capnum}:  list with caption and number
}
}
\keyword{internal}
