% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/f_analysis.R
\name{getRepeatedPValues}
\alias{getRepeatedPValues}
\title{Get Repeated P Values}
\usage{
getRepeatedPValues(design, stageResults, ...)
}
\arguments{
\item{design}{The trial design.}

\item{stageResults}{The results at given stage, obtained from \code{\link{getStageResults}}.}

\item{stage}{The stage number (optional). Default: total number of existing stages in the data input.}
}
\description{
Calculates the repeated p-values for given test results.
}
\details{
The repeated p-value at a given stage of the trial is defined as the smallest 
significance level under which at given test design the test results
obtain rejection of the null hypothesis. It can be calculated at each 
stage of the trial and can thus be used as a monitoring tool. 

The repeated p-values are provided up to the specified stage.
}
\keyword{internal}
